package com.xingxi.api.service;

import com.xingxi.api.common.UserContext;
import com.xingxi.api.model.*;

public interface UserProfileServiceI  {
    UserProfileUpdateResponse updateUserProfile(UserContext userContext, UserProfileUpdateRequest request);

    UserProfileResponse getUserProfile(UserContext userContext, UserProfileRequest request);

    UserProfileUpdateResponse updateUserNickName(UserContext userContext, UserProfileUpdateRequest request);

    UserProfileUpdateResponse updateUserAvatar(UserContext userContext, UserProfileUpdateRequest request);

    UserAddressListResponse getUserAddressList(UserContext userContext, UserAddressRequest request);

    UserAddressListResponse saveAddress(UserContext userContext, UserAddressRequest request);

}
